import { Document } from './document';
import { NumericDictionary, SchemaDictionary } from './client';
/**
 * Represents the result of a search query,
 * and has an array of Document objects
 */
export declare class Result<T = SchemaDictionary, S = NumericDictionary> {
    total: number;
    duration: number;
    docs: (Document & T)[];
    /**
     * @param snippets An optional dictionary of the form {field: snippet_size} for snippet formatting
     */
    constructor(res: any[], hasContent: boolean, query: string, hasPayload?: boolean, duration?: number, snippets?: S);
}
